> ## Documentation Index
> Fetch the complete documentation index at: https://www.bugzy.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update schedule



## OpenAPI

````yaml /openapi/v1.json patch /projects/{id}/schedules/{scheduleId}
openapi: 3.1.0
info:
  title: Bugzy API
  description: >-
    Programmatic access to Bugzy's QA automation capabilities. Trigger test
    runs, query results, manage schedules, and configure event triggers.
  version: 1.0.0
  contact:
    name: Bugzy Support
    url: https://www.bugzy.ai
servers:
  - url: https://bugzy.ai/api/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /projects/{id}/schedules/{scheduleId}:
    patch:
      tags:
        - Schedules
      summary: Update schedule
      operationId: updateSchedule
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: scheduleId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                cronExpression:
                  type: string
                timezone:
                  type: string
                enabled:
                  type: boolean
                name:
                  type: string
      responses:
        '200':
          description: Schedule updated
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Project API key (bzy_proj_*) for project routes or team API key
        (bzy_team_*) for selected team routes.

````